package com.jz.dmp.modules.dao.sys;

import java.util.List;
import java.util.Map;

import com.jz.dmp.modules.controller.sys.bean.DmpMemberDto;
import com.jz.dmp.modules.model.DmpMember;

/**用户表 mapper
 * @author ybz
 *
 */
public interface DmpMemberMapper {
	
	/**新增用户表
     * @param dmpMember
     * @return
     * @throws Exception
     */
    public int insert(DmpMember dmpMember)throws Exception;

    /**选择性增加用户表
     * @param dmpMember
     * @return
     * @throws Exception
     */
    public int insertSelective(DmpMember dmpMember)throws Exception;
    
    /**主键修改用户表
     * @param dmpMember
     * @return
     * @throws Exception
     */
    public int updateByPrimaryKey(DmpMember dmpMember)throws Exception;

    /**选择性修改用户表
     * @param dmpMember
     * @return
     * @throws Exception
     */
    public int updateByPrimaryKeySelective(DmpMember dmpMember)throws Exception;
    
    /**主键查询用户表
     * @param dmpMemberId
     * @return
     * @throws Exception
     */
    public DmpMember selectByPrimaryKey(Integer dmpMemberId)throws Exception;

    /**主键删除用户表
     * @param dmpMemberId
     * @return
     * @throws Exception
     */
    public int deleteByPrimaryKey(Integer dmpMemberId)throws Exception;
    
    /**主键软删除用户表
     * @param userId
     * @return
     * @throws Exception
     */
    public int softDeleteByPrimaryKey(Integer userId)throws Exception;

	/**条件查询用户表
	 * @param param
	 * @return
	 * @throws Exception
	 */
	public List<DmpMemberDto> findList(Map<String, Object> param)throws Exception;

	/**主键查询用户表
	 * @param dmpMemberId
	 * @return
	 * @throws Exception
	 */
	public DmpMemberDto findById(Integer dmpMemberId)throws Exception;

	/**批量新增用户表
	 * @param dmpMembers
	 * @throws Exception
	 */
	public void insertBatch(List<DmpMember> dmpMembers)throws Exception;

	/**  
	* @Title: findByUserName  
	* @Description: TODO(通过用户名获取用户信息)  
	* @param @param userName
	* @param @return
	* @param @throws Exception    参数  
	* @return DmpMember    返回类型  
	* @throws  
	*/ 
	public DmpMember findByUserName(String userName)throws Exception;

}
